io.vertx.rxjava3

## Class ContextScheduler

- java.lang.Object
- - io.reactivex.rxjava3.core.Scheduler
  - - io.vertx.rxjava3.ContextScheduler

-     public class ContextScheduler
      extends Scheduler

  Author:
    Julien Viet, Sercan Karaoglu

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ContextScheduler.ContextWorker`

    - ### Nested classes/interfaces inherited from class io.reactivex.rxjava3.core.Scheduler

      `Scheduler.Worker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextScheduler(Context context, boolean blocking)`
    `ContextScheduler(Context context, boolean blocking, boolean ordered)`
    `ContextScheduler(Vertx vertx, boolean blocking)`
    `ContextScheduler(Vertx vertx, boolean blocking, boolean ordered)`
    `ContextScheduler(WorkerExecutor workerExecutor)`
    `ContextScheduler(WorkerExecutor workerExecutor, boolean ordered)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContextScheduler.ContextWorker` | `createWorker()`

    - ### Methods inherited from class io.reactivex.rxjava3.core.Scheduler

      `clockDriftTolerance, now, scheduleDirect, scheduleDirect, schedulePeriodicallyDirect, shutdown, start, when`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextScheduler

          public ContextScheduler(Context context,
                                  boolean blocking)

    - #### ContextScheduler

          public ContextScheduler(Context context,
                                  boolean blocking,
                                  boolean ordered)

    - #### ContextScheduler

          public ContextScheduler(Vertx vertx,
                                  boolean blocking)

    - #### ContextScheduler

          public ContextScheduler(Vertx vertx,
                                  boolean blocking,
                                  boolean ordered)

    - #### ContextScheduler

          public ContextScheduler(WorkerExecutor workerExecutor)

    - #### ContextScheduler

          public ContextScheduler(WorkerExecutor workerExecutor,
                                  boolean ordered)

  - ### Method Detail

    - #### createWorker

          public ContextScheduler.ContextWorker createWorker()

      Specified by:
        `createWorker` in class `Scheduler`

Copyright © 2021 Eclipse. All rights reserved.